<?php
namespace App\Http\Controllers\Api;

use App\Service\AssetServerService;
use App\Service\JRFIDServerService;
use Illuminate\Http\Request;

//登录
class LoginController extends BaseController
{
    public function login(Request $request){
        $data = $request->only("name","password","rememberMe");
        list($bool, $msg) = (new JRFIDServerService())->loginRule($data);
        if($bool){
            return $this->json_return(200,'',$msg);
        }else{
            return $this->json_return(201,$msg);
        }
    }

    public function assetlogin(Request $request){
        $data = $request->only("name","password");
        list($bool, $msg) = (new AssetServerService())->loginRule($data);
        if($bool){
            return $this->json_return(200,'',$msg);
        }else{
            return $this->json_return(201,$msg);
        }
    }
}
