<?php
namespace App\Http\Controllers\Api;

use Illuminate\Http\Request;

class ThirdController extends BaseController
{
    //临时方法，生成pdf文件，打水印
    public function pdfLogo(Request $request){
        $data = $request->all();
        if(!isset($data['title'])) return $this->returnMsg('单据名称必填');
        if(!isset($data['year'])) return $this->returnMsg('年份必填');
        if(!isset($data['month'])) return $this->returnMsg('月份必填');
        if(!isset($data['day'])) return $this->returnMsg('当前日期必填');
        if(!isset($data['depart'])) return $this->returnMsg('部门必填');
        if(!isset($data['name'])) return $this->returnMsg('姓名必填');
        if(!isset($data['work'])) return $this->returnMsg('岗位必填');
        if(!isset($data['oa_list'])) return $this->returnMsg('审批人必填');
        if(!isset($data['detail'])) return $this->returnMsg('明细必填');
        if(!isset($data['logo_url'])) return $this->returnMsg('印章必填');

        return ['status'=>200,'msg'=>'','data'=>[
            'pdf'=>'https://hxy.qingyaokeji.com/418078322674.pdf'
        ]];
    }

    public function returnMsg($text){
        return ['status'=>201,'msg'=>$text,'data'=>[]];
    }
    public function pdfData(){
        $data = [
            'title' => '费用报销单',
            'year' => '2024',
            'month' => '07',
            'day' => '05',
            'depart' => '部门',
            'name' => '姓名',
            'work' => '岗位',
            'logo_url' => '印章地址',
            'oa_list' => [
                [
                    'sort_name' => '主管',
                    'name' => '主管名称',
                ],[
                    'sort_name' => '会计',
                    'name' => '会计名称',
                ],
            ],
           'detail' => [
               [
                   'date' => '2024-07-06',
                   'project' => '项目',
                   'type' => '类别',
                   'invoice_total' => '发票张数',
                   'amount' => '金额',
                   'remark' => '备注',
               ]
           ]
        ];

        return $data;
    }


}
