<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;

class CheckWeinxin
{
    /**
     * Handle an incoming request.
     *
     * @param  Request  $request
     * @param Closure $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
//        $token = $request->header('ciphertext');
//        if (empty($token)) return response()->json(['code'=>401,'msg'=>'缺少openid','data'=>null]);

        $token = $request->header('Authorization');
//        if(empty($token)) return response()->json(['code'=>401,'msg'=>'缺少登录凭证','data'=>null]);

        if(strpos($token, "Bearer ") === false) $token = "Bearer " . $token;
        $data['token'] = $token;
        $data['header'] = ["Authorization: {$token}",'Content-Type:application/json'];

        $request->common_param = $data;

        return $next($request);
    }
}
